Skip to main content
PUT
/
public
/
v2
/
intercompany-journal-entries
/
{record_number}
Update intercompany journal entry
curl --request PUT \
  --url https://api.dualentry.com/public/v2/intercompany-journal-entries/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "exchange_rate": 123,
  "items": [
    {
      "company_id": 123,
      "account_number": 123,
      "debit": 123,
      "credit": 123,
      "memo": "<string>",
      "position": 123,
      "id": 123,
      "classifications": [],
      "customer_id": 123,
      "vendor_id": 123,
      "eliminate": true
    }
  ],
  "transaction_date": "2023-12-25",
  "memo": "",
  "record_status": "posted",
  "attachments": []
}
'
{
  "record_number": 123,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "memo": "<string>",
  "exchange_rate": "<string>",
  "items": [
    {
      "id": 123,
      "company_id": 123,
      "company_name": "<string>",
      "account_number": 123,
      "debit": "<string>",
      "credit": "<string>",
      "memo": "<string>",
      "position": 123,
      "eliminate": true,
      "classifications": [],
      "customer_id": 123,
      "customer_name": "<string>",
      "vendor_id": 123,
      "vendor_name": "<string>"
    }
  ],
  "companies": [
    {
      "id": 123,
      "name": "<string>"
    }
  ],
  "company_ids": [
    123
  ],
  "attachments": [],
  "approval_status": "<string>",
  "next_approvers": [
    {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "full_name": "<string>",
      "avatar_url": "<string>"
    }
  ],
  "rejected_by": {
    "id": 123,
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "full_name": "<string>",
    "rejection_reason": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

Body

application/json

Input schema for creating / updating an intercompany journal entry.

date
string<date>
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
items
PublicIJEItemIn · object[]
required
transaction_date
string<date> | null
memo
string
default:""
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived
attachments
AttachmentSchemaOut · object[]

Response

OK

Full output schema for a single intercompany journal entry.

record_number
integer
required
date
string<date>
required
transaction_date
string<date>
required
memo
string
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
record_status
enum<string>
required
Available options:
draft,
posted,
archived
items
PublicIJEItemOut · object[]
required
companies
PublicIJECompanySchemaOut · object[]
required
company_ids
integer[]
required
attachments
PublicAttachmentSchemaOut · object[]
approval_status
string | null
next_approvers
ApproverDictSchema · object[] | null
rejected_by
RejectedBySchema · object

Schema for rejector information including rejection reason.

Last modified on May 28, 2026